- entityDefinitions:
  - IDE_CustomReportDefinition_Sort: '{a711ec3e-5cd8-4546-90ea-c6f9452a438e}'
  - IDE_CustomReportDefinition_SortAndGroup: '{3b574573-41fd-4278-858d-288f79d614cb}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_CustomReportDefinition_SortAndGroup;'
    elementContents:
    - globalIdentifier: '{a2fdcccf-c4a8-43a7-830a-019138721d9b}'
      order: a
      label: 'Sort and Group'
      defaultDataType: '&IDE_CustomReportDefinition_Sort;'
      builtFromBEMProcess:
      - globalIdentifier: '{5717e5ac-5d3d-4b47-b561-7609f22ca96c}'
        loopExecutableReturningInstanceSet: '&IDMB_Custom_Report_Definition__get__Sort_Descriptors;'

  - element: '&IDE_CustomReportDefinition_Sort;'
    name: 'sort'
    label: ''
    elementContents:
    - globalIdentifier: '{bc41fe88-646a-4fe0-91f5-7b6d6bbe24e5}'
      order: a
      label: 'Sort And Group Line'
      defaultDataType: '&IDC_ReportSortDescriptor;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{8fe8a177-abea-494e-8df3-9952bbc46a90}'
      order: b
      label: 'Field'
      defaultDataType: '&IDR_Report_Sort_Descriptor__has__Report_Field;'
    - globalIdentifier: '{eb6702e3-c866-483e-98a2-d4f95f84b971}'
      order: c
      label: 'Sort Direction'
      defaultDataType: '&IDR_Report_Sort_Descriptor__has__Report_Sort_Direction;'
    - globalIdentifier: '{8ae3c38c-73ec-4abe-bd9d-add460b5549b}'
      order: d
      label: 'Display Headers'
      defaultDataType: '&IDA_DisplayHeaders;'
    - globalIdentifier: '{7d3ade14-4013-405e-b30f-05d75dec971b}'
      order: e
      label: 'Summarize Detail Rows'
      defaultDataType: '&IDA_SummarizeDetailRows;'
    - globalIdentifier: '{ea671e82-ec37-45ae-b7c1-f4b123354526}'
      order: f
      label: 'Display Subtotals'
      defaultDataType: '&IDA_DisplaySubtotals;'
    - globalIdentifier: '{d359f737-a3f3-4891-97e0-a96e33d38731}'
      order: g
      label: 'Group Name Override'
      defaultDataType: '&IDA_LabelOverride;'